List all saved queries
Parameters #
| Property | Type | Location | Description |
|---|---|---|---|
limit | integer<int64> | query | |
offset | integer<int64> | query | |
dataset | string | query | |
who | string | query | - If the value of who is undefined, the request returns queries starred by the authenticated user.
- If the value of who is a user ID, the request returns queries starred by the user with this ID (this request requires elevated privileges). For example, &who='abc123'.
- If the value of who is team, the request returns queries starred by the team apart from the authenticated user.For example, &who=team.
- If the value of who is all, the request returns queries starred by all users in the team, including the authenticated user. For example, &who=all. |
qs | string | query |
Request #
curl -X GET 'https://api.axiom.co/v2/apl-starred-queries' \
-H 'Authorization: Bearer API_TOKEN'Try itRun this request against your Axiom organization
Credentials stay in this browser tab and are only sent to Axiom when you run the request.
Response #
200StarredQueryWithId